<div class="row">
  <div class="col-md-6">
    <ngx-orders-today></ngx-orders-today>
  </div>

  <div class="col-md-6">
    <ngx-most-orders-nation></ngx-most-orders-nation>
  </div>
</div>

<div class="row">
  <div class="col-xxl-5">
    <div class="row">
      <div class="col-md-6">
        <ngx-revenue-overview></ngx-revenue-overview>
      </div>
      <div class="col-md-6">
        <ngx-revenue-forecast></ngx-revenue-forecast>
      </div>
    </div>

    <ngx-top-customers></ngx-top-customers>
  </div>

  <div class="col-xxl-7">
    <nb-card size="large">
      <nb-card-header style="position: relative;">
        <span class="title">Profit</span>
        <nb-select [(selected)]="selectedPeriodForProfit" (selectedChange)="getProfitChartData($event)" class="period-select">
          <nb-option value="month">Month</nb-option>
          <nb-option value="year">Year</nb-option>
          <nb-option value="alltime">All-time</nb-option>
        </nb-select>
      </nb-card-header>
      <nb-card-body>
        <ngx-profit-chart [profitChartData]="profitChartData"></ngx-profit-chart>
      </nb-card-body>
    </nb-card>
  </div>
</div>

<div class="row">
  <div class="col-xxl-9">
    <nb-card size="large">
      <nb-card-header style="position: relative;">
        <span class="title">Revenue</span>
        <nb-select [(selected)]="selectedPeriodForRevenue" (selectedChange)="getRevenueChartData($event)" class="period-select">
          <nb-option value="month">Month</nb-option>
          <nb-option value="year">Year</nb-option>
          <nb-option value="alltime">All-time</nb-option>
        </nb-select>
      </nb-card-header>
      <nb-card-body>
        <ngx-revenue-chart [revenueChartData]="revenueChartData"></ngx-revenue-chart>
      </nb-card-body>
    </nb-card>
  </div>

  <div class="col-xxl-3">
    <ngx-revenue-for-date></ngx-revenue-for-date>
    <ngx-profit-for-date></ngx-profit-for-date>
  </div>
</div>

